import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.CsvSource;

class selectionExercisesTest {

	public static selectionExercises test;
	
	@BeforeAll
	static void setUpBeforeClass() throws Exception {
		test = new selectionExercises();
	}

	@ParameterizedTest
	@DisplayName("Testing getIdentifier")
	@CsvSource({"England,English","Scotland, Scottish", "Germany,German", "Spain,Spanish","Zeblak,Unknown"})
	void testGetIdentifier(String aCountry, String expectedIdentifier) {
		assertEquals(expectedIdentifier, test.getIdentifier(aCountry));
	}
	
	@ParameterizedTest
	@DisplayName("Testing getContinent")
	@CsvSource({"England,Europe","France,Europe", "Gabon,Africa","Canada,North America","China,Asia","New Zealand,Oceania"})
	void testGetCountry(String aCountry, String expectedContinent) {
		assertEquals(expectedContinent, test.getContinent(aCountry));
	}

}
